Subject: bug#21334: closed (Re: bug#21334: Compiling .emacs segfaults when ack-and-a-half not installed)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 07 Dec 2016 18:44:02 +0000

Your bug report

#21334: Compiling .emacs segfaults when ack-and-a-half not installed

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21334: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21334
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21334: Compiling .emacs segfaults when ack-and-a-half not installed
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Wed, 07 Dec 2016 13:43:12 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Glenn Morris wrote:

> To make progress, you'll have to run Emacs under a debugger (see
> etc/DEBUG) and post the backtrace. It will help to compile without
> optimization.

It's been a year with no further information, so I'm closing this.

Subject: Compiling .emacs segfaults when ack-and-a-half not installed
From: Andrew Pennebaker <[email-masked]>
To: Emacs Bugs <[email-masked]>
Date: Sun, 23 Aug 2015 19:22:44 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I was tinkering with my .emacs file, trying to use different use-package
idioms, when I noticed that Emacs segfaults when I attempt to compile my
.emacs, when ack-and-a-half is not installed.

First, the debugger is raised, then Emacs crashes when I try to kill the
debugger buffer.

Config:

https://github.com/mcandre/dotfiles/blob/6e669baf064803339f434e30e61ef97f8d1d315d/.emacs

-- 
Cheers,
Andrew